Package Details: osx-el-capitan-theme-git 10.9.r8.g3dff454-1

Git Clone URL: https://aur.archlinux.org/osx-el-capitan-theme-git.git (read-only)
Package Base: osx-el-capitan-theme-git
Description: Theme mimics OS X 10.12 macOS Sierra, formaly osx-el-capitan-theme, for GTK3 and some DEs (GNOME Shell, Xfce, Cinnamon)
Upstream URL: https://github.com/Elbullazul/macOS-Sierra
Licenses: GPL3
Conflicts: gnome-shell-theme-osx-el-capitan
Submitter: orumin
Maintainer: Joel
Last Packager: Joel
Votes: 15
Popularity: 0.583136
First Submitted: 2016-05-14 04:16
Last Updated: 2017-01-02 15:50

Latest Comments

steadybright commented on 2017-07-12 12:20

Yes, per dszryan's comment below, this package wants to be updated even though current version is already installed.

dszryan commented on 2017-05-10 08:51

the package is stuck in perpetual loop; requiring update

Joel commented on 2017-01-02 15:52

Thanks @oruwin, I updated pkgbuild syntax.

orumin commented on 2017-01-02 14:40

if you mentains VCS package(*-git), you should follow this guideline.

https://wiki.archlinux.org/index.php/VCS_package_guidelines

This guideline is recommend that pkgver is generated by git commit id or git tag with pkgver() function.

On now, newest git tag is 10.9. not v2.0.

Then, on -git package, don't use master.zip
and designate git repository on source variable as below:

_gitname=macOS-Sierra
pkgname=osx-el-capitan-theme-git
pkgdesc="Theme mimics macOS 10.12 Sierra for GTK3 and some DEs (GNOME Shell, Xfce, Cinnamon)"
pkgver=10.9.r8.g3dff454
pkgrel=1
arch=('any')
url="https://github.com/Elbullazul/${_gitname}"
source=('git+https://github.com/B00merang-Project/macOS-Sierra')
depends=('gtk3>=3.18' 'gtk-engine-murrine' 'gtk-engines')
optdepends=('gnome-themes-standard: Required for the GTK3 theme')
license=('GPL3')
conflicts=('gnome-shell-theme-osx-el-capitan')
sha256sums=('SKIP')

pkgver() {
cd "$_gitname"
git describe --long --tags | sed 's/\([^-]*-g\)/r\1/;s/-/./g'
}

package() {
mkdir -p "$pkgdir/usr/share/backgrounds"
cd "$srcdir/$_gitname"
mv 'Wallpaper.jpg' "$pkgdir/usr/share/backgrounds"
find . -type f -exec install -Dm644 '{}' "$pkgdir/usr/share/themes/macOS-Sierra/{}" \;
}

paulbarbee commented on 2017-01-02 02:47

I'm still getting the same error message as smnpl, both from installing via packer and from building via git.

Joel commented on 2016-12-30 16:24

@smnpl: Thanks, updated to version 2.0

smnpl commented on 2016-12-30 09:34

Hi, seems like the checksum is not valid anymore.
"ERROR: One or more files did not pass the validity check!"